polychor.matrix {psych} | R Documentation

## Phi or Yule coefficient matrix to polychoric coefficient matrix

### Description

A set of deprecated functions that have replaced by `Yule2tetra` and `Yule2phi`.

Some older correlation matrices were reported as matrices of Phi or of Yule correlations. That is, correlations were found from the two by two table of counts:

| a | b
| c | d

Yule Q is (ad - bc)/(ad+bc).

With marginal frequencies of a+b, c+d, a+c, b+d.

Given a square matrix of such correlations, and the proportions for each variable that are in the a + b cells, it is possible to reconvert each correlation into a two by two table and then estimate the corresponding polychoric correlation (using John Fox's polychor function.

### Usage

    Yule2poly.matrix(x, v)  #deprectated
    phi2poly.matrix(x, v)     #deprectated
    Yule2phi.matrix(x, v)     #deprectated

### Arguments

`x` | a matrix of phi or Yule coefficients
`v` | A vector of marginal frequencies

### Details

These functions call `Yule2poly`, `Yule2phi` or `phi2poly` for each cell of the matrix. See those functions for more details. See `phi.demo` for an example.

### Value

A matrix of correlations

### Author(s)

William Revelle

### Examples

    #demo <- phi.demo()
    #compare the phi (lower off diagonal and polychoric correlations (upper off diagonal)
    #show the result from poly.mat
    #round(demo$tetrachoric$rho,2)
    #show the result from phi2poly
    #tetrachorics above the diagonal, phi below the diagonal
    #round(demo$phis,2)

[Package psych version 1.8.4 Index]